import Header from "@/components/Header";
import { getTranslations } from "next-intl/server";
import { FC, PropsWithChildren } from "react";
type Props = {};

export const generateMetadata = async () => {
    const t = await getTranslations("titles");
    return {
        title: t("home"),
    };
};
const Layout: FC<PropsWithChildren<Props>> = (props) => {
    const { children } = props;

    return (
        <>
            <Header visibleLanguage={false} />
            <main className={"main-footer-header"}>{children}</main>
        </>
    );
};

export default Layout;
